import es
import popuplib

def load():
	global abadmins, abhome, abprops, abdynamicprops, abdynamicprops2, abphysicprops, abphysicprops2
	abadmins = ('STEAM_0:1:25511182', 'STEAM_ID_LAN', 'STEAM_ID_PENDING')
	es.msg('#multi', '#green[Admin Build] #defaultLoaded.')
	abhome = popuplib.create('aabhome')
	abhome.addline('Admin Build')
	abhome.addline('->1. Props')
	abhome.addline('->2. Remove Prop')
	abhome.addline('->3. Delete All Props')
	abhome.addline('0 Exit')
	abhome.menuselect = abhomeSelect
	
	abprops = popuplib.create('abprops')
	abprops.addline('Prop Choice')
	abprops.addline('->1. Dynamic Props')
	abprops.addline('->2. Physic Props')
	abprops.addline('->8. Back')
	abprops.addline('0 Exit')
	abprops.menuselect = abpropsSelect
	
	abdynamicprops = popuplib.create('abdynamicprops')
	abdynamicprops.addline('Dyanmic Props')
	abdynamicprops.addline('Pg 1/2')
	abdynamicprops.addline('->1. Blast Door')
	abdynamicprops.addline('->2. Large Crate')
	abdynamicprops.addline('->3. Van')
	abdynamicprops.addline('->4. Vending Machine')
	abdynamicprops.addline('->5. Table')
	abdynamicprops.addline('->6. Couch')
	abdynamicprops.addline('->7. Bed')
	abdynamicprops.addline('->8. Back')
	abdynamicprops.addline('->9. Next')
	abdynamicprops.addline('0 Exit')
	abdynamicprops.menuselect = abdynamicpropsSelect
	
	abdynamicprops2 = popuplib.create('abdynamicprops2')
	abdynamicprops2.addline('Dynamic Props')
	abdynamicprops2.addline('Pg 2/2')
	abdynamicprops2.addline('->1. Bookshelf')
	abdynamicprops2.addline('->2. Stone Blocks')
	abdynamicprops2.addline('->3. Television')
	abdynamicprops2.addline('->4. Patio Table')
	abdynamicprops2.addline('->5. Breens Desk')
	abdynamicprops2.addline('->6. Foutain')
	abdynamicprops2.addline('->8. Back')
	abdynamicprops2.addline('0 Exit')
	abdynamicprops2.menuselect = abdynamicprops2Select
	
	abphysicprops = popuplib.create('abphysicprops')
	abphysicprops.addline('Physic Props')
	abphysicprops.addline('Pg 1/2')
	abphysicprops.addline('->1. Water Bottle')
	abphysicprops.addline('->2. Plasma TV')
	abphysicprops.addline('->3. Wheel Barrow')
	abphysicprops.addline('->4. Bath Tub')
	abphysicprops.addline('->5. Barricade')
	abphysicprops.addline('->6. Traffic Cone')
	abphysicprops.addline('->7. Dresser')
	abphysicprops.addline('->8. Back')
	abphysicprops.addline('->9. Next')
	abphysicprops.addline('0 Exit')
	abphysicprops.menuselect = abphysicpropsSelect
	
	abphysicprops2 = popuplib.create('abphysicprops2')
	abphysicprops2.addline('Physic Props')
	abphysicprops2.addline('Pg 2/2')
	abphysicprops2.addline('->1. Wood Crate')
	abphysicprops2.addline('->2. Keyboard')
	abphysicprops2.addline('->3. Filing Cabinet')
	abphysicprops2.addline('->4. Cinder Block')
	abphysicprops2.addline('->5. Coffee Table')
	abphysicprops2.addline('->6. Explosive Barrel')
	abphysicprops2.addline('->8. Back')
	abphysicprops2.addline('0 Exit')
	abphysicprops2.menuselect = abphysicprops2Select
	
def es_player_chat(event_var):
    if event_var['text'] == '!adminbuild':
        if event_var['es_steamid'] in abadmins:
            abhome.send(event_var['userid'])
        else:
            es.tell(event_var['userid'], '#multi', '#greenYour are not an Admin')
			
def player_spawn(event_var):
	if event_var['es_steamid'] in abadmins:
		es.tell(event_var['userid'], '#multi', '#green[Admin Build] #defaultType #lightgreen!adminbuild #defaultto open the adminbuild menu.')
			
def abhomeSelect(userid, choice, popupid):
	if choice == 1:
		abprops.send(userid)
	elif choice == 2:
		ent = es.ServerVar('entity_index')
		es.server.cmd('est_getviewprop %s entity_index' % userid)
		entlist = es.createentitylist(ent)
		for x in entlist:
			if 'prop_' in entlist[x]['classname']:
				es.server.cmd('es_xremove %s' % x)
		abhome.send(userid)
	elif choice == 3:
		abhome.send(userid)
		es.server.cmd('est_remove prop_')
	elif choice == 4:
		abhome.send(userid)
		
def abpropsSelect(userid, choice, popupid):
	if choice == 1:
		abdynamicprops.send(userid)
	elif choice == 2:
		abphysicprops.send(userid)
	elif choice == 8:
		abhome.send(userid)
		
def abdynamicpropsSelect(userid, choice, popupid):
	if choice == 1:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props_lab/blastdoor001c.mdl')
		abdynamicprops.send(userid)
	elif choice == 2:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props\de_nuke\crate_large')
		abdynamicprops.send(userid)
	elif choice == 3:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props_vehicles/van001a.mdl')
		abdynamicprops.send(userid)
	elif choice == 4:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props/cs_office/vending_machine.mdl')
		abdynamicprops.send(userid)
	elif choice == 5:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props/cs_militia/table_kitchen')
		abdynamicprops.send(userid)
	elif choice == 6:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props\CS_militia\couch')
		abdynamicprops.send(userid)
	elif choice == 7:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props/de_inferno/bed')
		abdynamicprops.send(userid)
	elif choice == 8:
		abprops.send(userid)
	elif choice == 9: 
		abdynamicprops2.send(userid)
	
def abdynamicprops2Select(userid, choice, popupid):
	if choice == 1:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props\cs_office\Bookshelf1')
		abdynamicprops2.send(userid)
	elif choice == 2:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props/de_dust/stoneblocks48.mdl')
		abdynamicprops2.send(userid)
	elif choice == 3:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props\CS_militia\television_console01')
		abdynamicprops2.send(userid)
	elif choice == 4:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props\de_tides\patio_table')
		abdynamicprops2.send(userid)
	elif choice == 5:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props_combine\breendesk.mdl')
		abdynamicprops2.send(userid)
	elif choice == 6:
		es.server.cmd('es_prop_dynamic_create server_var(_popup_userid) props_c17/fountain_01.mdl')
		abdynamicprops2.send(userid)
	elif choice == 8:
		abdynamicprops.send(userid)
		
def abphysicpropsSelect(userid, choice, popupid):
	if choice == 1:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props/cs_office/water_bottle.mdl')
		abphysicprops.send(userid)
	elif choice == 2:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props/cs_office/tv_plasma.mdl')
		abphysicprops.send(userid)
	elif choice == 3:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_junk/Wheebarrow01a.mdl')
		abphysicprops.send(userid)
	elif choice == 4:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_c17/FurnitureBathtub001a.mdl')
		abphysicprops.send(userid)
	elif choice == 5:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_wasteland/barricade001a.mdl')
		abphysicprops.send(userid)
	elif choice == 6:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_junk/TrafficCone001a.mdl')
		abphysicprops.send(userid)
	elif choice == 7:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_c17\FurnitureDresser001a')
		abphysicprops.send(userid)
	elif choice == 8:
		abprops.send(userid)
	elif choice == 9:
		abphysicprops2.send(userid)
	
def abphysicprops2Select(userid, choice, popupid):
	if choice == 1:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_junk/wood_crate001a.mdl')
		abphysicprops2.send(userid)
	elif choice == 2:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_c17/computer01_keyboard.mdl')
		abphysicprops2.send(userid)
	elif choice == 3:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props/cs_office/file_cabinet1.mdl')
		abphysicprops2.send(userid)
	elif choice == 4:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_junk/CinderBlock01a.mdl')
		abphysicprops2.send(userid)
	elif choice == 5:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props\cs_office\table_coffee')
		abphysicprops2.send(userid)
	elif choice == 6:
		es.server.cmd('es_prop_physics_create server_var(_popup_userid) props_c17/oildrum001_explosive.mdl')
		abphysicprops2.send(userid)
	elif choice == 8:
		abphysicprops.send(userid)
		
def unload():
	es.msg('#multi', '#green[Admin Build] #defaultUnloaded.')
	